Hi,

Recently i started writing a Ruby extension. This Extension is providing
access to a dll-library. It has been written in c. Compiling works fine,
but using it in Ruby always raises this error: "dlsym: win32 error 127
[..] (LoadError)". What does this error mean? I think it means, that
Ruby cannot find the dll, used by the extension, but i'm absolutely
unsure. If this is correct, where does the dll have to be? If not, what
does this error mean? Any suggestions how to fix this? 

Environment: Ruby 1.8 on WinXp/Cygwin, compiler: gcc/make

Would be great if anybody could help, i'm absolutely stuck with that.

Many thanks in advance (and please excuse my bad english)

Greets 

Andy